Saturday, November 26, 2011

Removing Subclipse from Eclipse

I got the following error while installing subclipse 1.6 after trying 1.8 (which failed to sync my projects):


Your original request has been modified.
  "CollabNet Merge Client" will be ignored because a newer version is already installed.
  "Subclipse (Required)" will be ignored because a newer version is already installed.
  "Subclipse Integration for Mylyn 3.x (Optional)" will be ignored because it is already installed.
  "Subversion Client Adapter (Required)" will be ignored because a newer version is already installed.
  "Subversion JavaHL Native Library Adapter (Required)" will be ignored because a newer version is already installed.
  "Subversion Revision Graph" will be ignored because a newer version is already installed.
Cannot complete the install because of a conflicting dependency.
  Software being installed: SVNKit Client Adapter (Not required) 1.6.15 (org.tigris.subversion.clientadapter.svnkit.feature.feature.group 1.6.15)
  Software currently installed: Subclipse (Required) 1.8.3 (org.tigris.subversion.subclipse.feature.group 1.8.3)
  Only one of the following can be installed at once:
    Subversion Client Adapter 1.8.0 (org.tigris.subversion.clientadapter 1.8.0)
    Subversion Client Adapter 1.6.12 (org.tigris.subversion.clientadapter 1.6.12)
  Cannot satisfy dependency:
    From: SVNKit Client Adapter (Not required) 1.6.15 (org.tigris.subversion.clientadapter.svnkit.feature.feature.group 1.6.15)
    To: org.tigris.subversion.clientadapter [1.6.12,1.7.0)
  Cannot satisfy dependency:
    From: Subclipse (Required) 1.8.3 (org.tigris.subversion.subclipse.feature.group 1.8.3)
    To: org.tigris.subversion.clientadapter [1.8.0,1.9.0)





Here are the steps I took to uninstall subclipse:

Eclipse > Help > Install New Software > Available Software Sites ...

select subclipse and click "Remove"



Open Terminal; list and delete all subvesion jar files

$ cd /Applications/ide/eclipse/plugins [specific to your system]

$ ls | grep org.tigris.subversion | xargs rm

Even that did not allow full uninstallation and i decided to re-install Eclipse.